summaryrefslogtreecommitdiffstats
path: root/display/splashy/init.d/splashy4
diff options
context:
space:
mode:
Diffstat (limited to 'display/splashy/init.d/splashy4')
-rwxr-xr-xdisplay/splashy/init.d/splashy437
1 files changed, 37 insertions, 0 deletions
diff --git a/display/splashy/init.d/splashy4 b/display/splashy/init.d/splashy4
new file mode 100755
index 0000000000..1ae6dc1efa
--- /dev/null
+++ b/display/splashy/init.d/splashy4
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=4
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 4)
+ SPLASHY_PROGRESS=100
+ ;;
+ 5)
+ SPLASHY_PROGRESS=80
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}